Closed Bug 1461412 Opened 3 years ago Closed 2 years ago

Intermittent layout/reftests/transform-3d/animate-preserve3d-child.html == layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: X, number of differing pixels: Y

Categories

(Core :: Layout, defect, P5)

defect

Tracking

()

RESOLVED FIXED

People

(Reporter: intermittent-bug-filer, Assigned: hiro)

References

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell fixed:other])

Filed by: cbrindusan [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=178386867&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/Gn81AoWlSy2wuAt4yAfM9g/runs/0/artifacts/public/logs/live_backing.log

[task 2018-05-14T18:09:04.766Z] 18:09:04     INFO - REFTEST SUITE-START | Running 1 tests
[task 2018-05-14T18:09:04.766Z] 18:09:04     INFO - REFTEST INFO | Running tests in file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/reftest.list
[task 2018-05-14T18:09:04.799Z] 18:09:04     INFO - REFTEST INFO | Running with e10s: True
[task 2018-05-14T18:09:04.800Z] 18:09:04     INFO - REFTEST INFO | Application command: /builds/worker/workspace/build/application/firefox/firefox -marionette -profile /tmp/tmpmHzbis.mozrunner
[task 2018-05-14T18:09:05.507Z] 18:09:05     INFO - 1526321345495	Marionette	DEBUG	Received observer notification profile-after-change
[task 2018-05-14T18:09:05.563Z] 18:09:05     INFO - ATTENTION: default value of option force_s3tc_enable overridden by environment.
[task 2018-05-14T18:09:05.600Z] 18:09:05     INFO - 1526321345595	Marionette	DEBUG	Received observer notification command-line-startup
[task 2018-05-14T18:09:05.601Z] 18:09:05     INFO - 1526321345595	Marionette	DEBUG	Received observer notification nsPref:changed
[task 2018-05-14T18:09:07.015Z] 18:09:07     INFO - 1526321347011	Marionette	DEBUG	Received observer notification sessionstore-windows-restored
[task 2018-05-14T18:09:07.521Z] 18:09:07     INFO - 1526321347511	Marionette	DEBUG	New connections are accepted
[task 2018-05-14T18:09:07.523Z] 18:09:07     INFO - 1526321347512	Marionette	INFO	Listening on port 2828
[task 2018-05-14T18:09:07.525Z] 18:09:07     INFO - 1526321347520	Marionette	DEBUG	Accepted connection 0 from 127.0.0.1:58088
[task 2018-05-14T18:09:07.534Z] 18:09:07     INFO - 1526321347527	Marionette	DEBUG	Accepted connection 1 from 127.0.0.1:58090
[task 2018-05-14T18:09:07.535Z] 18:09:07     INFO - 1526321347528	Marionette	DEBUG	Closed connection 0
[task 2018-05-14T18:09:07.544Z] 18:09:07     INFO - 1526321347534	Marionette	TRACE	1 -> [0,1,"WebDriver:NewSession",{}]
[task 2018-05-14T18:09:07.608Z] 18:09:07     INFO - 1526321347604	Marionette	DEBUG	Register listener.js for window 2147483649
[task 2018-05-14T18:09:07.625Z] 18:09:07     INFO - 1526321347618	Marionette	TRACE	1 <- [1,1,null,{"sessionId":"4bd401c1-4e2e-4f5b-9483-74db2494a499","capabilities":{"browserName":"firefox","browserVersion":"62.0a ... ssID":1138,"moz:profile":"/tmp/tmpmHzbis.mozrunner","moz:useNonSpecCompliantPointerOrigin":false,"moz:webdriverClick":true}}]
[task 2018-05-14T18:09:07.629Z] 18:09:07     INFO - 1526321347624	Marionette	TRACE	1 -> [0,2,"Addon:Install",{"path":"/builds/worker/workspace/build/tests/reftest/reftest","temporary":true}]
[task 2018-05-14T18:09:08.034Z] 18:09:08     INFO - 1526321348028	Marionette	TRACE	1 <- [1,2,null,{"value":"reftest@mozilla.org"}]
[task 2018-05-14T18:09:08.277Z] 18:09:08     INFO - 1526321348270	Marionette	TRACE	1 -> [0,3,"WebDriver:DeleteSession",{}]
[task 2018-05-14T18:09:08.278Z] 18:09:08     INFO - 1526321348272	Marionette	TRACE	1 <- [1,3,null,{}]
[task 2018-05-14T18:09:08.281Z] 18:09:08     INFO - 1526321348276	Marionette	DEBUG	Closed connection 1
[task 2018-05-14T18:09:08.550Z] 18:09:08     INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html
[task 2018-05-14T18:09:08.550Z] 18:09:08     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html | 0 / 1 (0%)
[task 2018-05-14T18:09:08.580Z] 18:09:08     INFO - REFTEST INFO | drawWindow flags = DRAWWINDOW_DRAW_CARET | DRAWWINDOW_DRAW_VIEW | DRAWWINDOW_USE_WIDGET_LAYERS; window size = 800,1000; test browser size = 800,1000
[task 2018-05-14T18:10:33.727Z] 18:10:33     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html | 0 / 1 (0%)
[task 2018-05-14T18:10:33.970Z] 18:10:33     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: 173, number of differing pixels: 482
[task 2018-05-14T18:10:33.989Z] 18:10:33     INFO - REFTEST   IMAGE 1 (TEST): data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAyAAAAPoCAYAAAAmy5qxAAAgAElEQVR4nO3dbexedX3H8b9aQOiNgApCW0TDnaUUEHECbTWCQFtauQsQaKkyESmlVhS5VVHMgqUONYQoLmaaqDGw4mCN3DgyTXQ645YlLtmDxcQ492CJy8xM9mTJbw8Q7YW9Oee6zvmcc67r9Up81l9yvv6ffN/5/S6dKwAAACFzXX8AAAAwOwQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAGdPOnd/t+hMAAGBwBAgAABAjQCZw4YVdfwEAAAyLAJnAY489Vs4667ddfwYAAAyGAJnQiSd2/QUAADAcAmRCO3b8VZnz3yIAAFRidW7AvHmlnHJK118BAAD9J0AacPPNP3cLAgAAFVibGzI3V0QIAAAcgJW5IRdf/EKALFnS9ZcAAEB/CZCGPP7447+/Bdm8eXPXnwMAAL0kQBp08smeYgEAwP5YlRv04IO7fh8gRxzR9dcAAED/CJCGHXzwH25Brrjiiq4/BwAAekWANGzLll/8PkA8xQIAgFFW5BbsGSAHH9z11wAAQH8IkBasWTMaIRdf/FDXnwQAAL0gQFqwa9eukQDxFAsAAF5gNW7JKacUEQIAAC9hLW7JZz/77T8KkFWr/qXrzwIAgE4JkBYdcohbEAAA2JOVuEVbt/7qjwJEhAAAMMuswy3bW4C8+c1dfxUAAHRDgLRs3bq9RwgAAMwiq3DLvv3tP/4xuggBAGBWWYMDli3be4CcdFLXXwYAAFkCJOChh550CwIAAEWAxBx66N4DRIQAADBLrL8h27b95z4DZPHirr8OAAAyBEjQvgJkbq6UTZs2df15AADQOgEStH79/iMEAACmnbU36Mkn9/1j9Lm5Ug4/vOsvBACAdgmQsOXL938Lcvnld3X9iQAA0BoBEvb5z//NfgPEUywAAKaZdbcD8+fvP0Dmzev6CwEAoB0CpAPbt//XAW9BLrroma4/EwAAGidAOnKgAPEUCwCAaWTN7ci73y1CAACYPVbcjjz11FOVAmTlyq6/FAAAmiNAOrRihVsQAABmi/W2Q1/4wu5KASJCAACYFlbbji1cWC1Azjij6y8FAIDJCZCOfehDv3ELAgDAzLDW9kDVABEhAAAMnZW2By69tHqAnHhi118LAADjEyA9sHt39R+jz82VctNNN3X9yQAAMBYB0hOnn+4pFgAA088q2xMPP/ydWgFy7LFdfzEAANQnQHpk0aJ6tyAbN97Y9ScDAEAtAqRHPvzh/60VIJ5iAQAwNFbYnqkbIIsWdf3FAABQnQDpmcsvrx8hl132l11/NgAAVCJAeuY736n3Y3RPsQAAGBKraw+deWb9AHnFK7r+agAAODAB0kOPPPLMWLcgF174q64/HQAA9kuA9NThh9cPEE+xAADoOytrT91++/+NFSAiBACAPrOu9ti4AXLuuV1/OQAA7J0A6bErrxw/QgAAoI+sqj32zDPj/RhdhAAA0FfW1J4766zxA+T007v+egAAGCVAeu6LX/yuWxAAAKaGFXUAjjxy/AARIQAA9In1dADuuGOyADnhhK4nAACAFwiQgZgkQObmSnn/+9/f9QgAACBAhuKqqyaPEAAA6Jq1dCCeffbZiQPkda/regoAAGadABmQs8+e/Bbkuuse7HoMAABmmAAZkC996W8nDhBPsQAA6JJ1dGBe85rJA2Thwq6nAABgVgmQgbnzzskDZG6ulEsv/YeuRwEAYAYJkAFqIkA8xQIAoAvW0AG67bZmAuTlL+96EgAAZo0AGaimbkEuuKDrSQAAmCUCZKAeecRTLAAAhsf6OWDnnCNCAAAYFqvnwDUVIOec0/UkAADMAgEycDt2uAUBAGA4rJ1TYO1aEQIAwDBYOafEoYc2EyArVnQ9CQAA00yATIlHH320sVuQ7du3dz0OAABTSoBMkWuv9RQLAIB+s2pOmWOOaSZA3vjGricBAGAaCZAp1NQtyI033tH1KAAATBkBMoW2bPEUCwCAfrJiTqlly5oJkKOP7noSAACmiQAZlG21/nVTtyDXXvvXLc0DAMCsESBT7O67PcUCAKBfrJaDs7bWvz733GYCZMGClsYBAGCmCJBBOr7Wv27qFmTDhv9paR4AAGaFABmkNeWJJzZX/tcPPvgjT7EAAOgFK+Vg1fvTrV3bTIC87GUtjQMAwEwQIIO1ppRS74cZhx3WTIScf347EwEAMP0EyKDNlW9845J6JzzFAgCgQ1bJQVtT6v4Jr71WhAAA0B1r5ODNlbp/xmOPbSZA3va2diYCAGB6CZDBu7i88Gc8p9appm5B7r777lamAgBgOgmQqVD/FuSWWzzFAgAgz/o4FV68Ban351y2rJkAWb68laEAAJhCAmRqvBggJ9U71dAtyAc/+MFWpgIAYLoIkKlxUXkxQp588sbKp+65x1MsAAByrI1TZW6P/1R37rnNBMgb3tDKUAAATBEBMlX+cAtSyqtrnWzqFuR97/tyG4MBADAlBMhUeabseQvyrW9dXvnkgw8+5CkWAACtsy5OnT1vQer9edetayZAjjqqjbkAAJgGAmTq/GMZDZB6f+LDDmsmQq655l9bmA0AgKETIFPp0jIaIG+vddpTLAAA2mJNnFrj34Jcd10zATJ/fhtzAQAwZAJkau0sk0TIscc2EyHr17cwGgAAgyVAptoby2iALK912lMsAACaZj2ceqO3ILt331L55C23iBAAAJplNZx6t5dJnmKdemozAfLOd7YwGgAAgyNAZsJby2iAHFPrtFsQAACaYi2cGaO3II8/fk3lk/fc81sRAgBAI6yEM2NHmeQp1nnnNRMgb31rC6MBADAYAmSmrCujAXJwrdNN3YLcddddLcwGAMAQCJCZs6CMRsi7Kp/cuXOnp1gAAEzEKjiTxn+KtW5dMwFy6qltzAUAQN8JkJm0uUwSIfPnNxMh27Z9pvnRAADoNQEys44vowHy5lqnPcUCAGAcVsCZNnoL8vTTH6p88rrrmgmQ449vazYAAPpIgMy0D5dJnmItXtxMhNxww9+1MBsAAH0kQGbe2WU0QF5f67SnWAAA1GH1o7z0FuSJJ66vfHLr1mYC5LWvbWs2AAD6RIBQSnmgTPIU69RTm4mQq69uYTQAAHpFgPA7a8pogCyoddpTLAAAqrDysYfDymiErKt88t57n2okQA49tKXRAADoBQHCS4z/FOu885q5BbnkkjbmAgCgDwQIL7GpTBIhnmIBALA/Vj324rgyGiBvq3VahAAAsC/WPPZh9BbkuefuqHzykkuaCZB3vKOt2QAA6IoAYR9uK5M8xZo/v5kIuf/++1uYDQCArggQ9uOsMhogJ9Y67SkWAAAvZb3jAEZvQZ588n2VT27c2EyAnH12W7MBAJAmQDiAPyuTPMVavLiZCLnzzrtbmA0AgDQBQgUXldEAObLWaU+xAAB4kbWOil5ZRiPkssont25tJkCWLWtpNAAAYgQINYz/FGv58mYiZOvWx9oYDACAEAFCDdeVSSLEUywAAKxz1LS0jAbI6son77333kYC5PWvb2cyAADaJ0AYw+gtyPPPf6zyyZUrm7kFee97/6Ot4QAAaJEAYQzbi6dYAACMwxrHmM4sowFyaq3TTQTIq1/dwlgAALRKgDCB0VuQ3bu3VD55ySXNRMhVV7U1GwAAbRAgTGj8p1gLFniKBQAwa6xvTOhdZTRAXlfrdBMB8spXtjAWAACtECA04OAyGiFXVz65cWMzEbJ2bUujAQDQKAFCQ8Z/irVkiadYAACzwtpGQ64towFyUK3T/qd5AQBmg5WNBi0uoxFyQeWTt976740EyNvf3s5kAAA0Q4DQsNGnWN///qcrn1y+vJlbkE996lNtDQcAwIQECA3bVib5PYinWAAA082qRgtOL6MBcmat000EyFve0sJYAABMTIDQktFbkKef3l755MqVzUTIRz/6pbaGAwBgTAKEFnmKBQDAKCsaLbqgjAbIcbVONxEgb3pTC2MBADA2AULLDiqjEbKp8sn165uJkFtu+aeWZgMAoC4BQsD4T7EWLPAUCwBgmljNCLimjAbI/FqnmwiQpUtbGAsAgNoECCHHlNEIWVv55KZNzUTIe97T0mgAAFQmQAgafYr1gx/sqHxyyRJPsQAApoGVjKCtZZLfgzQRIEce2cJYAABUJkAIO62MBsifVD55662PNhIhV17Z0mgAAByQAKEDo7cgzz13R+WTp53mKRYAwJBZxehIt0+xDjmkjZkAADgQAUJH3llGA+SEWqebiJA1a1oYCwCA/RIgdOgVZTRC/rTyyVWrmomQnTt3tjQbAAB7I0DoWLdPsfweBAAgy/pFx64qowFyRK3TTQTI6tUtjAUAwF4JEHrg6DIaIZdWPrl+fTMRct991f9PEQEAGJ8AoSdGn2L96Eefq3xy4UJPsQAAhsLaRU9sKV3/HuSss1oYCwCAEQKEHlleRgNkVeWTmzY1EyG33/5sS7MBAFCKAKF3Rm9Bnn/+Y5VPLl3qKRYAQN9Zt+ihbp9inXxyGzMBAFCKAKGX3lFGA2RZ5ZPbtm1rJEK2bPltS7MBAMw2AUJPvayMRsiWyidPO81TLACAvrJm0WPdPsVasqSNmQAAZpsAoceuLKMBcnSt001EyPXXtzAWAMAMEyD03GvLaIRcXfnkqlWeYgEA9I31igEYfYr1k588Uv1kAwFyxBFtzQUAMHsECAOxZ4TMq3eygQi54oo2ZgIAmD0ChIFYVvaMkF/84vzKJzds8BQLAKAvrFUMyB8C5Gtfmyvf+979lU8uXDh5gBx0UGuDAQDMDAHCwMyVX/96rtx33wv/qXWygVuQiy9uaSwAgBkhQBiY1eWpp16Ij69+tfozrFJKuf76f24kQnbs2NHSbAAA00+AMDgv3n788pd/X/vs0qV+DwIA0CWrFIP0zDO3jX22iQBZtarBYQAAZogAYSY1ESGf+MS3uh4DAGBwBAgzacUKT7EAALpghWJmNREgZ57Z9RQAAMMiQJhpTUTIRz7yb12PAQAwGAKEmbZ6tadYAABJVidmXhMBctJJXU8BADAMAgRKMxHygQ90PQUAQP8JECilbNjgKRYAQIKVCX5n0aLJA2Tx4q6nAADoNwECe2jiFmTTpq6nAADoLwECe7j++o97igUA0CKrErzEccdNHiCvelXXUwAA9JMAgb1o4hbk8su7ngIAoH8ECOxDExHy8MMPdz0GAECvCBDYhxUrJg+QefO6ngIAoF8ECOxHE7cgF13U9RQAAP0hQOAAmoiQz3zmy12PAQDQCwIEDmD16mYiBAAAAQKVNBEg553X9RQAAN0TIFBRExHy8Y//uOsxAAA6JUCgog0bPMUCAJiUdQhqWLRo8gA544yupwAA6I4AgZqauAW57baupwAA6IYAgZo2b97sKRYAwJisQTCG446bPEBOPLHrKQAA8gQIjKmJW5Cbbup6CgCALAECEzjqqN94igUAUIP1Byb0wx/+sHzyk58rK1fuGitAjjmm6wkAAHIECDTsm9/8Zrnhhp1l6dJnK0fIxo1dfzUAQIYAgRb99Kc/LQ888EA5//w/L3NzP95vhHzlK1/p+nMBAFonQCBo165d5eabP1ZOOOHhMjf385EAWbSo668DAGifAIGO/OxnPysPPfRQWbv2znLQQX9R5ub+u1x2WddfBQDQLgECPbF79+6yfftHyte//vWuPwUAoDUCBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAHM99E4AAADQSURBVACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQIwAAQAAYgQIAAAQI0AAAIAYAQIAAMQIEAAAIEaAAAAAMQIEAACIESAAAECMAAEAAGIECAAAECNAAACAGAECAADECBAAACBGgAAAADECBAAAiBEgAABAjAABAABiBAgAABAjQAAAgBgBAgAAxAgQAAAgRoAAAAAxAgQAAIgRIAAAQMz/A2epecBtKIb8AAAAAElFTkSuQmCC
[task 2018-05-14T18:10:34.009Z] 18:10:33     INFO - REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,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
[task 2018-05-14T18:10:34.019Z] 18:10:33     INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html
[task 2018-05-14T18:10:34.020Z] 18:10:33     INFO - REFTEST INFO | Saved log: [CONTENT] Using browser remote=true
Summary: Intermittent [test-verify] layout/reftests/transform-3d/animate-preserve3d-child.html == layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: 173, number of differing pixels: 482 → Intermittent [test-verify] layout/reftests/transform-3d/animate-preserve3d-child.html == layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: X, number of differing pixels: Y
Summary: Intermittent [test-verify] layout/reftests/transform-3d/animate-preserve3d-child.html == layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: X, number of differing pixels: Y → Intermittent layout/reftests/transform-3d/animate-preserve3d-child.html == layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: X, number of differing pixels: Y
There have been 42 failures in the last 7 days:
 - 1 failure on windows 10x64 ccov debug
 - 1 failure on linux x64 ccov
 - 6 failures on linux x64 asan/debug
 - 34 failures on linux 32 debug

Example failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=181271987&repo=autoland&lineNumber=19855

[task 2018-06-01T04:32:59.862Z] 04:32:59     INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html
[task 2018-06-01T04:32:59.862Z] 04:32:59     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html | 65 / 86 (75%)
[task 2018-06-01T04:32:59.870Z] 04:32:59     INFO - ++DOMWINDOW == 195 (0xe5257200) [pid = 3243] [serial = 196] [outer = 0xd4f85080]
[task 2018-06-01T04:32:59.927Z] 04:32:59     INFO - [3243, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/nsContentUtils.cpp, line 4034
[task 2018-06-01T04:33:00.443Z] 04:33:00     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: 255, number of differing pixels: 18150
Flags: needinfo?(mreavy)
Whiteboard: [stockwell needswork:owner]
Huh, I haven't noticed that the failure is so frequent.  I haven't looked all failure cases, but I think we should just add fuzzy there.

Taking.
Assignee: nobody → hikezoe
Status: NEW → ASSIGNED
Flags: needinfo?(mreavy)
https://treeherder.mozilla.org/#/jobs?repo=try&revision=5ee0870b35fa965e094e3b2530f6d39faf8b7074
I add fuzzy with the maximum number that I had looked at several failures.  It seems that there are not-fuzzy failure, I guess it's the same cause of bug 1466163 or bug 1461462.  I might have to look at those bugs too.
I was thinking it might be a good idea to back out https://hg.mozilla.org/mozilla-central/rev/7914da4c2831 and just leave those three tests as skip-if(webrender) for now. These intermittents only started after that landed, and I'm pretty sure that patch caused them. What do you think?
Here's a try push with the backout, and with the tests still enabled on webrender: https://treeherder.mozilla.org/#/jobs?repo=try&revision=6769522cd873c665475f01527c5401d668050413

So far it's looking surprisingly green.
That's a surprising good news. :)  As you already know, I was going to fix bug 779598 first, and if it doesn't fix this failure, I was going to add this fuzzy there.  Anyway let's land the back patch in bug 1461311.
(In reply to Hiroyuki Ikezoe (:hiro) from comment #25)
> That's a surprising good news. :)  As you already know, I was going to fix
> bug 779598 first, and if it doesn't fix this failure, I was going to add
> this fuzzy there.  Anyway let's land the back patch in bug 1461311.

*the backedout patch*
Fixed by bug 1461311.
Status: ASSIGNED → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Whiteboard: [stockwell needswork:owner] → [stockwell fixed:other]
This is still happening.

Recent failure: https://treeherder.mozilla.org/logviewer.html#?job_id=211495120&repo=autoland&lineNumber=8335

10:23:07     INFO - REFTEST TEST-START | file:///Users/cltbld/tasks/task_1542132917/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html == file:///Users/cltbld/tasks/task_1542132917/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html
10:23:07     INFO - REFTEST TEST-LOAD | file:///Users/cltbld/tasks/task_1542132917/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html | 66 / 88 (75%)
10:23:29     INFO - 2018-11-13 10:23:29.455 firefox[995:15950] Persistent UI failed to open file file:///Users/cltbld/Library/Saved%20Application%20State/org.mozilla.nightly.savedState/window_1.data: No such file or directory (2)
10:27:03     INFO - REFTEST INFO | REFTEST fuzzy test (0, 0) <= (255, 40410) <= (128, 9)
10:27:03     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/tasks/task_1542132917/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html == file:///Users/cltbld/tasks/task_1542132917/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html | image comparison, max difference: 255, number of differing pixels: 40410
10:27:03     INFO - REFTEST   IMAGE 1 (TEST): data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAyAAAAPoCAYAAAAmy5qxAAAafUlEQVR4nO3XMYqtxxVG0ZqAA4FTTcHzUugZaASa
10:27:03     INFO - REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAyAAAAPoCAYAAAAmy5qxAAAWZUlEQVR4nO3d0W1TSxhGUZeOKIEuEKIRCuE
10:27:03     INFO - REFTEST TEST-END | file:///Users/cltbld/tasks/task_1542132917/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-child.html == file:///Users/cltbld/tasks/task_1542132917/build/tests/reftest/tests/layout/reftests/transform-3d/animate-preserve3d-ref.html
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
I know the new failure was caused by bug 1504929.
Depends on: 1506988
This has now been fixed by bug 1506988.
Status: REOPENED → RESOLVED
Closed: 3 years ago2 years ago
Resolution: --- → FIXED
See Also: → 1674860
See Also: → 1692678
You need to log in before you can comment on or make changes to this bug.